QGIS Application - Bug report #3830

no tiff support in Ubuntu 11.04 with ubuntugis gdal (1.8.0)

2011-05-17 04:16 PM - Mayeul Kauffmann

Status: Closed
Priority: Low
Assignee:

Category: Build/Install

Affected QGIS version:
Operating System: Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 13888

Description

libgdal1-dev for Natty from ubuntugis now provides gdal 1.8.0 only which seems not compatible with the code base or some package

(does the code links to libtiff 3.X ?)

Trying to open a geotif from latest Quantum-GIS-3eb0d66 (release-1_7_0 downloaded Sunday 15 May at 13:08) gives:

"/path/file.tif is not a valid or recognized data source

WARNING ! libtiff version mismatch : You're linking against libtiff 3.X but GDAL has been compiled against libtiff >= 4.0.0"

The guys from orfeo toolbox seems to have the same issue since about 11th of May, when "gdal 1.8 debian package has been pushed to
ubuntugis-unstable repository for all ubuntu versions." The consequence being "the otb packages cannot open a TIFF any more". See:

http://bugs.orfeo-toolbox.org/view.php?id=296

Installed is: libtiff4-dev (3.9.4-5ubuntu6)

History

#1 - 2011-05-17 04:17 PM - Mayeul Kauffmann

The only non standard repositories that | use are those 3:

deb http://extras.ubuntu.com/ubuntu natty main #Third party developers repository

deb http://qgis.org/debian-nightly natty main

deb-src http://qgis.org/debian-nightly natty main

| installed qgis following the INSTALL guide, and my following home-made script to automate downloading and compile:

http://www.qgis.org/wiki/Talk:Building_QGIS_from_Source

Other related link (with posts from Andreas Neumann) which mentions the problem of code linking to libtiff 3.x (not sure whether it is relevant):
http://osgeo-org.1803224.n2.nabble.com/gdal-dev-mod-python-issue-with-libtiff-td5639239.html

#2 - 2011-05-17 06:25 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

Looks like a problem with GDAL packaging in the ubuntugis repository.

#3 - 2011-06-27 09:12 AM - Mayeul Kauffmann
- Assignee deleted (nobody -)
- Operating System changed from Debian to Ubuntu

Is there an alternate way to have qgis 1.7.0 with full tif support on Ubuntu 11.04 Natty?

| could not get this done using any of the repository here.

http://www.qgis.org/wiki/Download#Release_2

http://www.qgis.org/wiki/Download#With_updated_dependencies_2
Thanks
Mayeul

#4 - 2011-06-27 09:17 AM - Giovanni Manghi

| have made many Natty fresh installations and no problems whatsoever with geotiffs.

#5 - 2011-06-27 09:34 AM - Mayeul Kauffmann
Could you please post relevant parts of your sources.list here and the result of the following?
dpkg -l gdal*

dpkg - qgis*

Thanks

#6 - 2011-06-27 02:40 PM - hamish -

ubuntu 11.04/natty ships libgdal1-1.6.0 (pkg ver 1.6.3-4) as the default.

ubuntugis's PPA supplies libgdal1-1.8.0, taken (?without change?) from debian/experimental.

both libraries may co-exist on the disc. Not sure which gdal-bin pkg will get installed, but you can probably choose that yourself.

possible solution: in qgis's debian/control file build-depends against libgdal-dev <= 1.7.

Hamish
